Bug 1326440 - gssproxy systemd unit file contains bogus dependency on proc-fs-nfsd.mount
Summary: gssproxy systemd unit file contains bogus dependency on proc-fs-nfsd.mount
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gssproxy
Version: 7.2
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Robbie Harwood
QA Contact: Kaleem
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-12 16:49 UTC by James Ralston
Modified: 2018-04-10 11:10 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-10 11:09:51 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0709 None None None 2018-04-10 11:10 UTC

Description James Ralston 2016-04-12 16:49:05 UTC
Description of problem:

The gssproxy.service systemd unit file contains these dependencies:

After=syslog.target
Before=nfs-secure.service nfs-secure-server.service
Requires=proc-fs-nfsd.mount

The "Requires" dependency on proc-fs-nfsd.mount is completely bogus. Yes, if NFS is in use, proc-fs-nfsd.mount should be started before gssproxy.service. But in no sense does gssproxy depend on NFS. For example, we use gssproxy on our RHEL7 hosts to broker access to the Kerberos keytab file via mod_auth_gssapi.so, as described here:

https://fedorahosted.org/gss-proxy/wiki/Apache

The correct dependencies list should be:

After=syslog.target
Before=nfs-secure.service nfs-secure-server.service proc-fs-nfsd.mount

Version-Release number of selected component (if applicable):

0:gssproxy-0.4.1-7.el7.x86_64

Comment 2 Robbie Harwood 2016-04-12 18:25:01 UTC
Note - we are waiting for changes to NFS spec files to remove these lines.  The correct way to handle this possible dependency is to have the relevant NFS services require gssproxy to be available.

Comment 3 Robbie Harwood 2017-05-02 18:38:29 UTC
(This has been fixed in Fedora.)

Comment 5 Sudhir Menon 2018-01-17 13:57:56 UTC
Verified using gssproxy-0.7.0-17.el7.x86_64 on 

[root@master sssd]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.5 Beta (Maipo)

[root@master sssd]# cat /usr/lib/systemd/system/gssproxy.service
[Unit]
Description=GSSAPI Proxy Daemon
# GSSPROXY will not be started until syslog is
After=syslog.target
Before=nfs-secure.service nfs-secure-server.service

Comment 8 errata-xmlrpc 2018-04-10 11:09:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0709


Note You need to log in before you can comment on or make changes to this bug.